from abc import ABC, abstractmethod
from typing import List

import numpy as np

from core.predictor import LayoutBox


class LayoutDetectorBase(ABC):
    @classmethod
    @abstractmethod
    def predict(cls, img: np.ndarray, **kwargs) -> List[LayoutBox]:
        pass
